/*    protocol_lookup.c
 *    Copyright 2002-2004 Kirby Kuehl (vacuum@users.sourceforge.net)
 *    This file is part of pixilate
 *    http://winfingerprint.sourceforge.net/pixilate.php
 *
 *    pixilate is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    pixilate is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *    You should have received a copy of the GNU General Public License
 *    along with pixilate; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "pixilate.h"

u_short protocol_lookup(char *literal)
{
   struct protoent *pe;
   if((pe = getprotobyname(literal)) == NULL)
   {
      if((pe = getprotobynumber(atoi(literal))) == NULL)
      {
         fprintf(stdout,"PIXILATE PROTOCOL LOOKUP ERROR: %s\n",literal);
         fprintf(stdout,"Check your /etc/protocols file.\n");
         return(atoi(literal));
      }
    }
    return(pe->p_proto);
   }
